UMOUNT(8)

NAME
umount - unmount file systems

SYNOPSIS
umount [-fv] special | node
umount -a [-fv] [-h host] [-t type]

DESCRIPTION
The umount command calls the unmount(2) system call to remove a special device or node ([rhost:] path) from the file system tree. Multiple devices and nodes may be specified on the command line. If neither special nor node are provided, the appropriate information is taken from the kernel.

The options are as follows:

-a  All of the file systems except root returned by getmntinfo(3) are unmounted.

-f  The file system is forcibly unmounted. Active special devices continue to work, but all other files return errors if further accesses are attempted. The root file system cannot be forcibly unmounted.

-h host
    Only filesystems mounted from the specified host will be unmounted. This option implies the -a option and, unless otherwise specified with the -t option, will only unmount NFS filesystems.

-t type
    Indicates that actions should only be taken on filesystems of the specified type. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with “no” to specify the filesystem types for which action should not be taken. For example, the following command unmounts all filesystems of type NFS and MFS:

        # umount -a -t nfs,mfs

-v  Verbose, additional information is printed out as each file system is unmounted.

SEE ALSO
unmount(2), getmntinfo(3), mount(8)

HISTORY
A umount command appeared in AT&T UNIX.